Install Eclipse Mars 4.5 on Fedora 24/23, CentOS/RHEL 7.2/6.8/5.11 - Comment Page: 4

This is guide, howto install latest Eclipse Mars.2 4.5.2 on Fedora, CentOS and Red Hat (RHEL). This guide should work with Fedora 24/23/22/21/20/19/18/17/16/15/14/13/12, CentOS 7.2/6.8/5.11 and Red Hat (RHEL) 7.2/6.8/5.11 and even with earlier versions. Latest working version on CentOS/RHEL 5.11 is Eclipse Luna 4.4.2. Eclipse is a multi-language software development environment comprising an integrated development environment (IDE) and an extensible plug-in system. It is written primarily in Java and can be used to develop applications in Java and, by means of various plug-ins, other languages including C, C++, COBOL, Python, Perl, PHP, Scala and Ruby (including Ruby on Rails...

172 comments on “Install Eclipse Mars 4.5 on Fedora 24/23, CentOS/RHEL 7.2/6.8/5.11 - Comment Page: 4

1 2 3 4 5 6 7
    1. Why aren’t you just running this on Fedora 16?:

      yum groupinstall “Fedora Eclipse”

      is there a problem that occurs if you install the Eclipse group ?

      Reply
      • Hi Mark,

        Check this question and following answer. ;)

        So feel free to install Eclipse with yum, it should work normally. :)

        Reply
    2. After executing all the steps and running command:
      eclipse -clean
      it gives:
      /usr/bin/eclipse: 4: /opt/eclipse/eclipse: not found

      please respond to it asap

      Reply
    3. these are the ls -l of /usr/bin:
      -rwxrwxrwx 1 root root 71 2012-02-21 19:43 eclipse

      Reply
    4. Hi nikhil,

      Could you post output of follwoing commands:

      
      ls -la /opt/eclipse
      
      cat /usr/bin/eclipse
      
      Reply
      • MY folder is in: /home/nikhil/opt

        First output:
        ls: cannot access /opt/eclipse: No such file or directory

        second output:
        export MOZILLA_FIVE_HOME=”/usr/lib/mozilla/”
        export ECLIPSE_HOME=”$HOME/opt/eclipse”

        $ECLIPSE_HOME/eclipse $*

        Reply
        • Okay, please post then output of following commands:

          
          ls -la /home/nikhil/opt
          
          ls -la /home/nikhil/opt/eclipse
          
          Reply
          • 1.
            [email protected]:~$ ls -la /home/nikhil/opt
            total 5
            drwxrwxr-x 3 nikhil nikhil 1024 2012-02-21 22:08 .
            drwxr-xr-x 41 nikhil nikhil 3072 2012-02-27 22:27 ..
            drwxr-xr-x 9 507 1109 1024 2012-02-21 21:48 eclipse
            2.
            [email protected]:~$ ls -la /home/nikhil/opt/eclipse
            total 524
            drwxr-xr-x 9 507 1109 1024 2012-02-21 21:48 .
            drwxrwxr-x 3 nikhil nikhil 1024 2012-02-21 22:08 ..
            drwxr-xr-x 2 507 1109 1024 2011-09-10 02:06 about_files
            -rwxr-xr-x 1 507 1109 18909 2011-09-09 23:51 about.html
            -rwxr-xr-x 1 507 1109 95731 2011-09-10 02:05 artifacts.xml
            drwxr-xr-x 5 507 1109 1024 2011-09-10 02:06 configuration
            drwxr-xr-x 2 507 1109 1024 2011-09-10 02:06 dropins
            -rwxr-xr-x 1 507 1109 62814 2011-03-22 01:35 eclipse
            -rwxr-xr-x 1 507 1109 276 2012-02-21 21:48 eclipse.ini
            -rwxr-xr-x 1 nikhil nikhil 277 2012-02-21 21:48 eclipse.ini~
            -rwxr-xr-x 1 507 1109 59 2010-07-29 20:06 .eclipseproduct
            -rwxr-xr-x 1 507 1109 16536 2005-02-26 05:23 epl-v10.html
            drwxr-xr-x 23 507 1109 4096 2011-09-10 02:05 features
            -rwxr-xr-x 1 507 1109 9022 2006-12-11 21:34 icon.xpm
            -rwxr-xr-x 1 507 1109 266168 2006-12-11 21:34 libcairo-swt.so
            -rwxr-xr-x 1 507 1109 8951 2011-02-05 02:09 notice.html
            drwxr-xr-x 4 507 1109 1024 2011-09-10 02:04 p2
            drwxr-xr-x 15 507 1109 34816 2011-09-10 02:05 plugins
            drwxr-xr-x 2 507 1109 1024 2011-09-10 02:06 readme

            Reply
            • Okay, first try to start Eclipse with following command:

              
              /home/nikhil/opt/eclipse/eclipse
              

              Is it working then?

              Reply
              • [email protected]:~$ /home/nikhil/opt/eclipse/eclipse
                bash: /home/nikhil/opt/eclipse/eclipse: No such file or directory

                Reply
                • I don’t understand, how this is possible, if your ls -la /home/nikhil/opt/eclipse output contains eclipse file?

                  Could you try to do following and post ls command output:

                  
                  chown -R nikhil: /home/nikhil/opt/eclipse
                  
                  ls -la /home/nikhil/opt/eclipse/eclipse
                  
                  Reply
                  • These operations I performed:
                    [email protected]:~$ sudo chown -R nikhil: /home/nikhil/opt/eclipse
                    [sudo] password for nikhil:
                    [email protected]:~$ ls -la /home/nikhil/opt/eclipse/eclipse
                    -rwxr-xr-x 1 nikhil nikhil 62814 2011-03-22 01:35 /home/nikhil/opt/eclipse/eclipse
                    [email protected]:~$ /home/nikhil/opt/eclipse/eclipse
                    bash: /home/nikhil/opt/eclipse/eclipse: No such file or directory

                    The same thing is going over my head. I just don’t know why it is happening. I tried the whole procedure of installation 4-5 times after removing all files from my system. But it gives the same output.
                    Previously I installed eclipe 3.7.0 with Ubuntu Software centre. It was working fine but was not downloading adt packages. The problem was as stated in this webpage: http://stackoverflow.com/questions/9083703/installing-new-software-to-eclipse
                    So after unstalling it, it tried to install eclipse 3.7.1 by extraction process as given in this webpage. Then again this problem occur:

                    bash: /home/nikhil/opt/eclipse/eclipse: No such file or directory

                    Reply
                  • These operations I performed:
                    [email protected]:~$ sudo chown -R nikhil: /home/nikhil/opt/eclipse
                    [sudo] password for nikhil:
                    [email protected]:~$ ls -la /home/nikhil/opt/eclipse/eclipse
                    -rwxr-xr-x 1 nikhil nikhil 62814 2011-03-22 01:35 /home/nikhil/opt/eclipse/eclipse
                    [email protected]:~$ /home/nikhil/opt/eclipse/eclipse
                    bash: /home/nikhil/opt/eclipse/eclipse: No such file or directory

                    The same thing is going over my head. I just don’t know why it is happening. I tried the whole procedure of installation 4-5 times after removing all files from my system. But it gives the same output.
                    Previously I installed eclipe 3.7.0 with Ubuntu Software centre. It was working fine but was not downloading adt packages. The problem was as stated in this webpage: http://stackoverflow.com/questions/9083703/installing-new-software-to-eclipse
                    So after unstalling it, it tried to install eclipse 3.7.1 by extraction process as given in this webpage. Then again this problem occur:

                    bash: /home/nikhil/opt/eclipse/eclipse: No such file or directoryThese operations I performed:
                    [email protected]:~$ sudo chown -R nikhil: /home/nikhil/opt/eclipse
                    [sudo] password for nikhil:
                    [email protected]:~$ ls -la /home/nikhil/opt/eclipse/eclipse
                    -rwxr-xr-x 1 nikhil nikhil 62814 2011-03-22 01:35 /home/nikhil/opt/eclipse/eclipse
                    [email protected]:~$ /home/nikhil/opt/eclipse/eclipse
                    bash: /home/nikhil/opt/eclipse/eclipse: No such file or directory

                    The same thing is going over my head. I just don’t know why it is happening. I tried the whole procedure of installation 4-5 times after removing all files from my system. But it gives the same output.
                    Previously I installed eclipe 3.7.0 with Ubuntu Software centre. It was working fine but was not downloading adt packages. The problem was as stated in this webpage: http://stackoverflow.com/questions/9083703/installing-new-software-to-eclipse
                    So after unstalling it, it tried to install eclipse 3.7.1 by extraction process as given in this webpage. Then again this problem occur:

                    bash: /home/nikhil/opt/eclipse/eclipse: No such file or directory

                    btw thanks for having patience with me.

                    Reply
                    • This is really interesting case, because this sounds totally impossible. Output of ls command shows, that the /home/nikhil/opt/eclipse/eclipse file exists, but when you try to run it, your get error No such file or directory.

                      Could you try to download Eclipse package again and try to install it some other directory?

                      Reply
    5. Fantastic. Just cut ‘n pasted right down the list, runs great in Debian Squeeze (we have Eclipse 3.5 in the repositories). No muss, no fuss. Thanks very much.

      Reply
      • Hi Mike,

        Excellent to hear, that this works also in Debian! :D

        This really is universal Eclipse install method, which work on any Linux system, if you just have Java installed already. And yes, this also allows you to run multiple Eclipse versions simultaneously.

        Reply
    6. Hi, great article.. I have been trying to install anjuta IDE for GTK because i wanted to compile a c project which has GTK GUI. But it gave dependency errors, after trying too much i was unable to install it, so i turned to eclipse.
      Could it be possible to compile c/GTK project in eclipse?, if yes how to install GTK package in eclipse I have Redhat Linux 6.0 64 bit version, waiting for your positive reply

      Reply
    7. I am a linux newbie and have been trying to install Eclipse 3.7 on Ubuntu 10.4. I looked at your guide and comments and saw a reference to my problem:
      Could not launch Eclipse. Failed to launch child process ‘eclipse’ No such file or directory.
      I saw your response about mismatched 32 and 64 bit versions of eclipse and java. I checked and I believe I am running 32 bit ubuntu, 32 bit eclipse and a 32 bit jvm. Could you possibly help me further as to why I can’t launch eclipse?
      Thanks
      Mike O’Brien

      Reply
    8. I too have the problem when I try to launch eclipse from “application->programming->eclipse” I have the following message:
      Could not launch eclipse
      Failed to execute child process “eclipse” (no such file or directory)

      I verified that I am running 32 bit ubuntu 10.04, 32 bit eclipse V3.7, and a 32 bit java. Thus the answer above for this problem doesn’t seem to apply to me.
      Any suggestions?

      Reply
      • Hi Mike,

        What happens if you try to start it directly from command line:

        
        /opt/eclipse/eclipse
        

        If if fails again then I recommend you to remove eclipse directory download Eclipse 3.7.1 again and go thru again this installation procedure.

        Reply
      • hi mike..
        got your problem,you need to set proper path for “Exec” field in your desktop launcher file (of your eclipse executable file) i.e

        “Exec=/path/to/your/eclipse_package/eclipse”.

        Reply
    9. This tutorial made me happy! It’s not often I find exactly what I was looking for on the web. This is one of those rare finds: clear, concise, and it works!

      One word: Bravo!

      Reply
    10. Hi, great article.. I have been trying to install anjuta IDE for GTK because i wanted to compile a c project which has GTK GUI. But it gave dependency errors, after trying too much i was unable to install it, so i turned to eclipse.
      Could it be possible to compile c/GTK project in eclipse?, if yes how to install GTK package in eclipse I have Redhat Linux 6.0 64 bit version, waiting for your positive reply

      Reply
    11. I got :error: Failed dependencies:
      autogen is needed by anjuta-1:3.2.0-1.fc16.x86_64
      glade3-libgladeui >= 3.9.2 is needed by anjuta-1:3.2.0-1.fc16.x86_64
      libc.so.6(GLIBC_2.14)(64bit) is needed by anjuta-1:3.2.0-1.fc16.x86_64
      libcairo-gobject.so.2()(64bit) is needed by anjuta-1:3.2.0-1.fc16.x86_64
      libdevhelp-3.so.0()(64bit) is needed by anjuta-1:3.2.0-1.fc16.x86_64
      libgda-4.0.so.4()(64bit) is needed by anjuta-1:3.2.0-1.fc16.x86_64
      libgda-sqlite >= 4.2.0 is needed by anjuta-1:3.2.0-1.fc16.x86_64
      libgdk-3.so.0()(64bit) is needed by anjuta-1:3.2.0-1.fc16.x86_64
      libgdl-3.so.1()(64bit) is needed by anjuta-1:3.2.0-1.fc16.x86_64
      libgladeui-2.so.0()(64bit) is needed by anjuta-1:3.2.0-1.fc16.x86_64
      libgtk-3.so.0()(64bit) is needed by anjuta-1:3.2.0-1.fc16.x86_64
      libgtksourceview-3.0.so.0()(64bit) is needed by anjuta-1:3.2.0-1.fc16.x86_64
      libpython2.7.so.1.0()(64bit) is needed by anjuta-1:3.2.0-1.fc16.x86_64
      libstdc++.so.6(GLIBCXX_3.4.15)(64bit) is needed by anjuta-1:3.2.0-1.fc16.x86_64
      libvala-0.14.so.0()(64bit) is needed by anjuta-1:3.2.0-1.fc16.x86_64
      libvte2_90.so.9()(64bit) is needed by anjuta-1:3.2.0-1.fc16.x86_64
      libwebkitgtk-3.0.so.0()(64bit) is needed by anjuta-1:3.2.0-1.fc16.x86_64

      when i tried to install dependencies such as libgda,gtk+-3.2 etc packages then packages showed another dependencies.. and so on

      Now i am downloading eclipse CDT,
      anyway, thanks for the help JR

      Reply
      • I actually just test yum install anjuta and my output looks following on Fedora 16:

        
        Dependencies Resolved
        
        ================================================================================
         Package                Arch        Version                  Repository    Size
        ================================================================================
        Installing:
         anjuta                 x86_64      1:3.2.0-1.fc16           fedora       3.8 M
        Installing for dependencies:
         autogen                x86_64      5.9.4-8.fc15             fedora       323 k
         autogen-libopts        x86_64      5.9.4-8.fc15             fedora        44 k
         devhelp                x86_64      1:3.2.0-1.fc16           fedora       238 k
         git                    x86_64      1.7.7.6-1.fc16           updates      3.0 M
         glade3-libgladeui      x86_64      1:3.10.0-6.fc16          updates      459 k
         guile                  x86_64      5:1.8.8-3.fc16           fedora       1.3 M
         libgda                 x86_64      1:4.2.8-2.fc16           updates      1.1 M
         libgda-sqlite          x86_64      1:4.2.8-2.fc16           updates       45 k
         libgdl                 x86_64      1:3.2.0-1.fc16           fedora       226 k
         perl-Error             noarch      1:0.17016-6.fc16         fedora        30 k
         perl-Git               noarch      1.7.7.6-1.fc16           updates       40 k
         sqlite-devel           x86_64      3.7.7.1-1.fc16           fedora        95 k
         vala                   x86_64      0.14.2-1.fc16            updates      1.5 M
        
        Transaction Summary
        ================================================================================
        Install      14 Packages
        
        Total download size: 12 M
        Installed size: 33 M
        

        So anjuta with dependencies is installed smoothly.

        You could maybe try run:

        
        yum clean all
        

        an try installation again.

        Do you get Eclipse CDT working? :)

        Reply
    12. Thank you for this tutorial, really clear and easy to follow. And it worked!

      Reply
    13. I GOT THIS ERROR AFTER INSTALLING ECLIPSE IN THE SAME WAY U TOLD.

      Locking is not possible in the directory “/opt/eclipse/configuration/org.eclipse.osgi”. A common reason is that the file system or Runtime Environment does not support file locking for that location. Please choose a different location, or disable file locking passing “-Dosgi.locking=none” as a VM argument.
      /opt/eclipse/configuration/org.eclipse.osgi/.manager/.fileTableLock (Permission denied)

      Reply
      • Hi Vikash,

        Just tested this guide and updated it to latest 3.7.2 version. For me this is working normally. Do you have right permissions on /opt/eclipse directory?

        Reply
    14. HI ALl.
      I have done all the steps as suggested here,but when i try to open eclipse by cmd “eclipse”
      it says ” can not execute /opt/eclipse/eclipse” binary file
      PLease help me in insolving this issue’

      Reply
      • Hi Jay,

        Could you post output of following commands:

        
        ls -la /opt
        
        ls -la /opt/eclipse
        
        Reply
      • I got this problem when I tried running a 64 bit Eclipse on a 32 bit Fedora. Fixed by downloading the 32 bit version instead.

        Reply
    15. worked perfectly. Thanks for the info. :)

      Reply
1 2 3 4 5 6 7

Leave a Reply to carlos Cancel reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.

Close